#
# spec file for package python-webcolors
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-webcolors
Version:        1.10
Release:        lp152.2.1
Summary:        Support for color names and value formats defined by the HTML
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/ubernostrum/webcolors
Source:         https://files.pythonhosted.org/packages/source/w/webcolors/webcolors-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# test requirements
BuildRequires:  %{python_module pytest}
Requires:       python-six
BuildArch:      noarch
%python_subpackages

%description
Webcolors is a simple Python module for working with HTML/CSS
color definitions.

Support is included for normalizing and converting between the
following formats (RGB colorspace only; conversion to/from HSL can be
handled by the ``colorsys`` module in the Python standard library):

* Specification-defined color names
* Six-digit hexadecimal
* Three-digit hexadecimal
* Integer ``rgb()`` triplet
* Percentage ``rgb()`` triplet

Implementations are also provided for the HTML5 color parsing and
serialization algorithms.

Full documentation is `available online <http://webcolors.readthedocs.org/>`_.

%prep
%setup -q -n webcolors-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# test only the standard testsuite (python3 setup.py test launched two extra tests, one of them was unable to access the internet)
%pytest tests

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Mon Sep 16 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.10:
  * Similar to the change in version 1.9 which normalized conversions to named
    colors
* Fri Jun 14 2019 Marketa Calabkova <mcalabkova@suse.com>
- update to 1.9.1
  * When asked to provide a color name, using the CSS3/SVG set of names, for
    the hexadecimal value #808080, the integer triplet rgb(128, 128, 128), or
    the percentage triplet rgb(50%%, 50%%, 50%%), webcolors now always returns
    u'gray', never u'grey'.
  * Added a set of constants to use when referring to specifications that
    define color names <spec-constants>.
* Fri Mar 29 2019 pgajdos@suse.com
- version update to 1.8.1
  * Introduce namedtuples to represent tuple data types.
  * Get the definition-parsing test working on Python 3.
  * Documentation updates.
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Wed Apr 19 2017 toddrme2178@gmail.com
- Implement single-spec version.
* Sun Nov 13 2016 termim@gmail.com
- Update to 1.5
* Thu Nov  5 2015 avvissu@yandex.ru
- Initial package
